Package healpix.essentials

## Class FastMath

- java.lang.Object
- - healpix.essentials.FastMath

    public final class FastMath
    extends java.lang.Object

FastMath class is a Java implementation of the SLEEF library. Some of the methods can be used as substitutions of the corresponding methods in Math class. They have slightly less accuracy, and some methods are faster compared to those methods in Math class. Please note that the methods in the standard Math class are JNI methods, and the SLEEF library is specialized for SIMD operations.

### Constructor Summary

Constructors
`FastMath()`

### Method Summary

All Methods Static Methods Concrete Methods
`static double` `acos​(double d)` This method calculates the arc cosine of x in radians.
`static double` `asin​(double d)` This method calculates the arc sine of x in radians.
`static double` `atan​(double s)` Returns the arc tangent of an angle.
`static double` `atan2​(double y, double x)` This method calculates the arc tangent of y/x in radians, using the signs of the two arguments to determine the quadrant of the result.
`static double` `cos​(double d)` Returns the trigonometric cosine of an angle.
`static double` `sin​(double d)` Returns the trigonometric sine of an angle.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FastMath

    public FastMath()

### Method Detail

#### atan2

    public static final double atan2​(double y,
                                     double x)

This method calculates the arc tangent of y/x in radians, using the signs of the two arguments to determine the quadrant of the result. The results may have maximum error of 2 ulps.

#### asin

    public static double asin​(double d)

This method calculates the arc sine of x in radians. The return value is in the range [-pi/2, pi/2]. The results may have maximum error of 3 ulps.

#### acos

    public static double acos​(double d)

This method calculates the arc cosine of x in radians. The return value is in the range [0, pi]. The results may have maximum error of 3 ulps.

#### atan

    public static final double atan​(double s)

Returns the arc tangent of an angle. The results may have maximum error of 2 ulps.

#### sin

    public static final double sin​(double d)

Returns the trigonometric sine of an angle. The results may have maximum error of 2 ulps.

#### cos

    public static final double cos​(double d)

Returns the trigonometric cosine of an angle. The results may have maximum error of 2 ulps.